package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description 数据类型  TEACHER 老师 PLATFORM 平台
 *
 * @author liujunchi
 * @date 2022-04-13
 */
public enum SourceTypeEnum  implements BaseEnum<String,AuditStatusEnum> {



    TEACHER("TEACHER","TEACHER"),
    PLATFORM("PLATFORM","PLATFORM");

    @EnumValue
    private String code;
    private String msg;

    SourceTypeEnum(String code,String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
